/**
 * @file Checkboxes
 * @description 多选输入框
 * @author fex
 */
import React from 'react';
import { ClassNamesFn } from '../theme';
import { Option, OptionProps } from './Select';
interface CheckboxesProps extends OptionProps {
    id?: string;
    key?: string;
    className?: string;
    type: string;
    placeholder?: string;
    disabled?: boolean;
    value?: string;
    onChange?: Function;
    inline?: boolean;
    checked?: boolean;
    labelClassName?: string;
    classPrefix: string;
    classnames: ClassNamesFn;
}
export declare class Checkboxes extends React.PureComponent<CheckboxesProps, any> {
    static defaultProps: {
        joinValues: boolean;
        extractValue: boolean;
        inline: boolean;
        delimiter: string;
        columnsCount: number;
    };
    toggleOption(option: Option): void;
    render(): JSX.Element;
}
declare const _default: React.ComponentClass<Pick<Pick<CheckboxesProps, "disabled" | "multiple" | "key" | "type" | "id" | "value" | "valueField" | "options" | "className" | "classPrefix" | "classnames" | "checked" | "placeholder" | "onChange" | "labelClassName" | "multi" | "simpleValue" | "clearable" | "autoFill" | "creatable" | "onAdd" | "addControls" | "editable" | "editControls" | "onEdit" | "removable" | "onDelete"> & Partial<Pick<CheckboxesProps, "inline" | "delimiter" | "joinValues" | "extractValue">> & Partial<Pick<{
    joinValues: boolean;
    extractValue: boolean;
    inline: boolean;
    delimiter: string;
    columnsCount: number;
}, "columnsCount">>, "disabled" | "inline" | "multiple" | "key" | "type" | "id" | "value" | "delimiter" | "valueField" | "joinValues" | "extractValue" | "options" | "className" | "checked" | "placeholder" | "onChange" | "labelClassName" | "multi" | "simpleValue" | "clearable" | "autoFill" | "creatable" | "onAdd" | "addControls" | "editable" | "editControls" | "onEdit" | "removable" | "onDelete" | "columnsCount"> & {
    theme?: string | undefined;
    classPrefix?: string | undefined;
    classnames?: ClassNamesFn | undefined;
}, any> & {
    ComposedComponent: typeof Checkboxes;
};
export default _default;
