"use strict";
/**
 * @file Checkboxes
 * @description 多选输入框
 * @author fex
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var uncontrollable_1 = tslib_1.__importDefault(require("uncontrollable"));
var Checkbox_1 = tslib_1.__importDefault(require("./Checkbox"));
var theme_1 = require("../theme");
var Select_1 = require("./Select");
var Checkboxes = /** @class */ (function (_super) {
    tslib_1.__extends(Checkboxes, _super);
    function Checkboxes() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Checkboxes.prototype.toggleOption = function (option) {
        var _a = this.props, value = _a.value, onChange = _a.onChange, delimiter = _a.delimiter, valueField = _a.valueField, options = _a.options, simpleValue = _a.simpleValue;
        var valueArray = Select_1.value2array(value, {
            multiple: true,
            valueField: valueField,
            delimiter: delimiter,
            options: options
        });
        var idx = valueArray.indexOf(option);
        if (!~idx) {
            option =
                Select_1.value2array(option[valueField || 'value'], {
                    multiple: true,
                    valueField: valueField,
                    delimiter: delimiter,
                    options: options
                })[0] || option;
            idx = valueArray.indexOf(option);
        }
        if (~idx) {
            valueArray.splice(idx, 1);
        }
        else {
            valueArray.push(option);
        }
        var newValue = simpleValue
            ? valueArray.map(function (item) { return item[valueField || 'value']; })
            : valueArray;
        onChange && onChange(newValue);
    };
    Checkboxes.prototype.render = function () {
        var _this = this;
        var _a = this.props, value = _a.value, valueField = _a.valueField, delimiter = _a.delimiter, options = _a.options, className = _a.className, placeholder = _a.placeholder, disabled = _a.disabled, inline = _a.inline, labelClassName = _a.labelClassName;
        var valueArray = Select_1.value2array(value, {
            multiple: true,
            valueField: valueField,
            delimiter: delimiter,
            options: options
        });
        var body = [];
        if (options) {
            body = options.map(function (option, key) { return (react_1.default.createElement(Checkbox_1.default, { key: key, onChange: function () { return _this.toggleOption(option); }, checked: !!~valueArray.indexOf(option), disabled: disabled || option.disabled, inline: inline, labelClassName: labelClassName, description: option.description }, option.label)); });
        }
        return (react_1.default.createElement("div", { className: className }, body && body.length ? body : placeholder));
    };
    Checkboxes.defaultProps = {
        joinValues: true,
        extractValue: false,
        inline: false,
        delimiter: ',',
        columnsCount: 1 // 一行显示一个
    };
    return Checkboxes;
}(react_1.default.PureComponent));
exports.Checkboxes = Checkboxes;
exports.default = theme_1.themeable(uncontrollable_1.default(Checkboxes, {
    value: 'onChange'
}));
//# sourceMappingURL=./components/Checkboxes.js.map
